slideMerge {arrayMagic} | R Documentation

## Averaging of two colour microarray replicas

### Description

The mean of the expression values is calculated separately for each channel. If no `se.exprs` values are given in `exprSetRGObject`, `se.exprs` is set to the standard deviation of the expression values (which is possibly `NA`). If available it is set to the root-mean-square or the mean of the given `se.exprs` values depending on the argument `seExprsHandling`. The root-mean-square can be useful if the `se.exprs` values are estimated standard deviations based on the same number observations taken from identical distributions.

### Usage

    slideMerge(exprSetRGObject, slideMergeColumn, sampleAnnotationColumns, seExprsHandling="rootMeanSquare", verbose=TRUE)

### Arguments

`exprSetRGObject` | object of class `exprSetRG`; required; default missing
`slideMergeColumn` | character string specifying the variable of the `phenoData` object of the `exprSetRGObject`, which is used to determine replicas; required; default missing
`sampleAnnotationColumns` | vector of character strings; optional; default missing. A vector which contains all `phenoData` variables relevant for further analysis. The `phenoData`-annotation should be consistent for replicas. By default the argument `sampleAnnotationColumns` is missing and all `phenoData` variables are used.
`seExprsHandling` | character string; either "rootMeanSquare" or "mean"; required; default "rootMeanSquare"
`verbose` | logical; required; default: `TRUE`

### Details

### Value

object of class `exprSetRG-class`, i.e. the "merged" `exprSetRGObject`

### Author(s)

Andreas Buness <a.buness@dkfz.de>

### See Also

`spotMerge`, `exprSetRG-class`

### Examples

      indGreen=1:2
      indRed=3:4
      channels <- matrix( c(indGreen,indRed), nrow=length(indGreen), byrow=FALSE )
      colnames(channels) <- c("green","red")
      exprsMatrix <- matrix(rep(1:10,4),nrow=10,ncol=4,byrow=FALSE)
      phenoMatrix <- matrix(c(c(1,2),c(3,3),c(5,5)),nrow=2,ncol=3,byrow=FALSE)
      colnames(phenoMatrix) <- c("one","two","usedForMerge")
      phenoMatrix <- rbind(phenoMatrix,phenoMatrix)
      eSA <- new("exprSetRG", exprs=exprsMatrix, phenoData=
                 new("phenoData", pData=data.frame(phenoMatrix),
                     varLabels=as.list(colnames(phenoMatrix))),
                 channels=channels)
      eSM <- slideMerge(exprSetRGObject=eSA, slideMergeColumn="usedForMerge")
      eSAOne <- slideSubset(eSA,j=c(1))
      stopifnot( all(exprs(eSAOne) == exprs(eSM) ))
      stopifnot( all( se.exprs(eSM) == 0 ) )

[Package Contents]